GearmanClient::setExceptionCallback
GearmanClient::setOptions
GearmanClient
PHP Manual

# GearmanClient::setFailCallback

(PECL gearman >= 0.5.0)

GearmanClient::setFailCallback — Set callback for job failure

### Description

public bool GearmanClient::setFailCallback ( callable `$callback` )

Sets the callback function to be used when a task does not complete successfully. The function should accept a single argument, a GearmanTask object.

### Parameters

`callback`

  A function to call

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanClient::setDataCallback() - Callback function when there is a data packet for a task
- GearmanClient::setCompleteCallback() - Set a function to be called on task completion
- GearmanClient::setCreatedCallback() - Set a callback for when a task is queued
- GearmanClient::setExceptionCallback() - Set a callback for worker exceptions
- GearmanClient::setStatusCallback() - Set a callback for collecting task status
- GearmanClient::setWarningCallback() - Set a callback for worker warnings
- GearmanClient::setWorkloadCallback() - Set a callback for accepting incremental data updates

GearmanClient::setExceptionCallback
GearmanClient::setOptions
GearmanClient
PHP Manual